package biblioteki;

import java.io.File;
import java.io.IOException;
import java.nio.file.attribute.FileTime;
import java.time.ZoneId;
import java.time.ZonedDateTime;

import org.apache.commons.io.FileUtils;

public class CommonsIO {

	public static void main(String[] args) {
		// Sprawdźmy datę modyfikacji pliku pom.xml
		File plik = new File("pom.xml");
		try {
			FileTime fileTime = FileUtils.lastModifiedFileTime(plik);
			System.out.println(fileTime);
			ZonedDateTime dt = ZonedDateTime.ofInstant(fileTime.toInstant(), ZoneId.systemDefault());
			System.out.println(dt);
		} catch (IOException e) {
			e.printStackTrace();
		}

	}

}
